apiVersion: batch/v1
kind: Job
metadata:
  name: gemeente-enschede-create-admin
spec:
  backoffLimit: 50
  template:
    spec:
      restartPolicy: OnFailure
      containers:
        - name: management-api-create-user
          image: docker.io/nlxio/management-api:v0.118.1
          imagePullPolicy: Always
          command: ["/bin/sh"]
          args:
            - "-xc"
            - |
              nlx-management-api create-user --email admin@example.com --role admin; \
                return_code=$?

              if [ $return_code -eq 128 ]; then
                echo "admin use was already created"
              elif [ ! $return_code -eq 0 ]; then
                exit 1
              fi
          env:
            - name: PGSSLMODE
              value: require
            - name: POSTGRES_HOST
              value: nlx-postgresql
            - name: POSTGRES_DATABASE
              value: nlx_management_gemeente-enschede
            - name: POSTGRES_USER
              valueFrom:
                secretKeyRef:
                  name: postgres.nlx-postgresql.credentials.postgresql.acid.zalan.do
                  key: username
            - name: POSTGRES_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: postgres.nlx-postgresql.credentials.postgresql.acid.zalan.do
                  key: password
            - name: PGCONNECT_TIMEOUT
              value: "10"
            - name: POSTGRES_DSN
              value: "postgres://$(POSTGRES_USER):$(POSTGRES_PASSWORD)@$(POSTGRES_HOST):5432/$(POSTGRES_DATABASE)"
